require "pixeleffects"

function love.load()
	--img = love.image.newImageData( )
	img = love.graphics.newImage("img/freehugs.png" )
	
	fx.lightrays:send( "exposure", 0.3  )
	fx.lightrays:send( "decay", 0.95 )
	fx.lightrays:send( "density", 0.4  )
	fx.lightrays:send( "weight", 0.15  )
	fx.lightrays:send( "lightPositionOnScreen", {0.2,0.2} )
	fx.lightrays:send( "NUM_SAMPLES", 40  )
end

function love.update(dt)
end

function love.draw()
	love.graphics.clear()
	love.graphics.setPixelEffect(fx.lightrays)
	love.graphics.draw(img, 0,0)
end
